post
https://api.neverbounce.com/v3/status
Statuses
Below are the various status codes that may populate the status property.
| Status Integer | Description |
|---|---|
| -1 | Job uploading, or transmission in progress. |
| 0 | Job has been received successfully and has entered the system queue. |
| 1 | Parsing your file to determine totals, detect bad data, and duplicate entries. |
| 2 | Job parsing has completed, this job is ready to run. |
| 3 | Job is currently in progress. |
| 4 | Job has successfully completed, results are available. |
| 5 | An unexpected failure has occurred, this job could not run (typically due to bad CSV data). |
File Details
Contains information we've gathered from the file. It may be useful when trying to debug a job that failed.
This property is returned as a JSON string and will need to be inflated before accessing the properties.
| Property | Description |
|---|---|
| email_col_i | Zero-based index of the column the emails are contained |
| tot_cols | Number of columns we found in the CSV |
| delimiter | The delimiter we detected from the CSV |
| has_header | Whether or not we detected a header |
| size | The size of the file or data supplied in bytes |
| tot_records | Total number of records detected in CSV |
| tot_emails | Total number fo emails found in the CSV |
Job Details
Returned with version3.1or later
| Property | Description |
|---|---|
| sample_status | Only available after free analysis Contains integer describing the sample status. See Sample Statuses for additional details. |
| sample_details | Only available after free analysis Contains details about the free sample after completion. See Sample Details for additional details. |
Sample Status
| Status Integer | Description |
|---|---|
| 1 | Indicates we have received the request to run the job as a sample. |
| 2 | We are currently processing your free sample job. |
| 3 | We have finished processing your sample job. |
| 4 | We have finished processing your sample job. |
Sample Details
| Property | Description |
|---|---|
| sample_size | The number of records chosen to test for a free sample (typically 10% of the total) |
| sample_stats | Contains the job's analysis results |
| bounce_estimate | The estimated bounce rate for this list (0.0 is 0% and 1.0 is 100%) |
